%global _legacy_common_support 1

Summary:	Detect and perform actions when an ethernet cable is (un)plugged
Name:		ifplugd
Version: 	0.28
Release: 	%mkrel 23
Source0:	http://0pointer.de/lennart/projects/ifplugd/%{name}-%{version}.tar.bz2
Patch0:		ifplugd-0.28-exit-status.patch
Patch1:		ifplugd-0.28-event.patch
Patch2:		ifplugd-0.28-include.patch
Patch3:		ifplugd-0.28-onlink.patch
License:	GPL
Group:		System/Networking
URL:		http://0pointer.de/lennart/projects/ifplugd/
BuildRequires:	doxygen 
BuildRequires:	lynx 
BuildRequires:	pkgconfig 
BuildRequires:	pkgconfig(libdaemon)

%description
ifplugd is a Linux daemon which will automatically configure your
ethernet device when a cable is plugged in and automatically
unconfigure it if the cable is pulled. This is useful on laptops with
onboard network adapters, since it will only configure the interface
when a cable is really connected.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/init.d/ifplugd

%files
%doc doc/README doc/NEWS doc/README.html doc/style.css LICENSE
%{_sbindir}/ifplugd
%{_sbindir}/ifplugstatus
%{_mandir}/man?/ifplugd*
%{_mandir}/man?/ifplugstatus*
%dir %{_sysconfdir}/ifplugd
%config(noreplace) %{_sysconfdir}/ifplugd/ifplugd.conf
%{_sysconfdir}/ifplugd/ifplugd.action


%changelog
* Wed Sep 16 2020 tv <tv> 0.28-23.mga8
+ Revision: 1626856
- fix build with gcc-10

* Thu Feb 13 2020 umeabot <umeabot> 0.28-22.mga8
+ Revision: 1513599
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.28-21.mga7
+ Revision: 1298281
- Mageia 7 Mass Rebuild

* Mon Feb 15 2016 umeabot <umeabot> 0.28-20.mga6
+ Revision: 960668
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 0.28-19.mga6
+ Revision: 867521
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 0.28-18.mga5
+ Revision: 747884
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.28-17.mga5
+ Revision: 680468
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.28-16.mga4
+ Revision: 521432
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 0.28-15.mga3
+ Revision: 390879
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 0.28-14.mga3
+ Revision: 354269
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 blino <blino> 0.28-13.mga1
+ Revision: 16653
- imported package ifplugd

